Loading...
Searching...
No Matches
DRTRealWorldValueMappingSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTRealWorldValueMappingSequence::Item:

## Public Member Functions

| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getDoubleFloatRealWorldValueFirstValueMapped (Float64 &value, const unsigned long pos=0) const
| get DoubleFloatRealWorldValueFirstValueMapped (0040,9214)
OFCondition | getDoubleFloatRealWorldValueLastValueMapped (Float64 &value, const unsigned long pos=0) const
| get DoubleFloatRealWorldValueLastValueMapped (0040,9213)
OFCondition | getLUTExplanation (OFString &value, const signed long pos=0) const
| get LUTExplanation (0028,3003)
OFCondition | getLUTLabel (OFString &value, const signed long pos=0) const
| get LUTLabel (0040,9210)
OFCondition | getRealWorldValueFirstValueMapped (Uint16 &value, const unsigned long pos=0) const
| get RealWorldValueFirstValueMapped (0040,9216)
OFCondition | getRealWorldValueIntercept (Float64 &value, const unsigned long pos=0) const
| get RealWorldValueIntercept (0040,9224)
OFCondition | getRealWorldValueLUTData (Float64 &value, const unsigned long pos=0) const
| get RealWorldValueLUTData (0040,9212)
OFCondition | getRealWorldValueLastValueMapped (Uint16 &value, const unsigned long pos=0) const
| get RealWorldValueLastValueMapped (0040,9211)
OFCondition | getRealWorldValueSlope (Float64 &value, const unsigned long pos=0) const
| get RealWorldValueSlope (0040,9225)
DRTMeasurementUnitsCodeSequence & | getMeasurementUnitsCodeSequence ()
| get MeasurementUnitsCodeSequence (0040,08ea)
const DRTMeasurementUnitsCodeSequence & | getMeasurementUnitsCodeSequence () const
| get MeasurementUnitsCodeSequence (0040,08ea)
DRTQuantityDefinitionSequence & | getQuantityDefinitionSequence ()
| get QuantityDefinitionSequence (0040,9220)
const DRTQuantityDefinitionSequence & | getQuantityDefinitionSequence () const
| get QuantityDefinitionSequence (0040,9220)
OFCondition | setDoubleFloatRealWorldValueFirstValueMapped (const Float64 value, const unsigned long pos=0)
| set DoubleFloatRealWorldValueFirstValueMapped (0040,9214)
OFCondition | setDoubleFloatRealWorldValueLastValueMapped (const Float64 value, const unsigned long pos=0)
| set DoubleFloatRealWorldValueLastValueMapped (0040,9213)
OFCondition | setLUTExplanation (const OFString &value, const OFBool check=OFTrue)
| set LUTExplanation (0028,3003)
OFCondition | setLUTLabel (const OFString &value, const OFBool check=OFTrue)
| set LUTLabel (0040,9210)
OFCondition | setRealWorldValueFirstValueMapped (const Uint16 value, const unsigned long pos=0)
| set RealWorldValueFirstValueMapped (0040,9216)
OFCondition | setRealWorldValueIntercept (const Float64 value, const unsigned long pos=0)
| set RealWorldValueIntercept (0040,9224)
OFCondition | setRealWorldValueLUTData (const Float64 value, const unsigned long pos=0)
| set RealWorldValueLUTData (0040,9212)
OFCondition | setRealWorldValueLastValueMapped (const Uint16 value, const unsigned long pos=0)
| set RealWorldValueLastValueMapped (0040,9211)
OFCondition | setRealWorldValueSlope (const Float64 value, const unsigned long pos=0)
| set RealWorldValueSlope (0040,9225)

## Private Attributes

OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmFloatingPointDouble | DoubleFloatRealWorldValueFirstValueMapped
| DoubleFloatRealWorldValueFirstValueMapped (0040,9214) vr=FD, vm=1, type=1C.
DcmFloatingPointDouble | DoubleFloatRealWorldValueLastValueMapped
| DoubleFloatRealWorldValueLastValueMapped (0040,9213) vr=FD, vm=1, type=1C.
DcmLongString | LUTExplanation
| LUTExplanation (0028,3003) vr=LO, vm=1, type=1.
DcmShortString | LUTLabel
| LUTLabel (0040,9210) vr=SH, vm=1, type=1.
DRTMeasurementUnitsCodeSequence | MeasurementUnitsCodeSequence
| MeasurementUnitsCodeSequence (0040,08ea) vr=SQ, vm=1, type=1.
DRTQuantityDefinitionSequence | QuantityDefinitionSequence
| QuantityDefinitionSequence (0040,9220) vr=SQ, vm=1, type=3.
DcmUnsignedShort | RealWorldValueFirstValueMapped
| RealWorldValueFirstValueMapped (0040,9216) vr=US/SS, vm=1, type=1C.
DcmFloatingPointDouble | RealWorldValueIntercept
| RealWorldValueIntercept (0040,9224) vr=FD, vm=1, type=1C.
DcmFloatingPointDouble | RealWorldValueLUTData
| RealWorldValueLUTData (0040,9212) vr=FD, vm=1-n, type=1C.
DcmUnsignedShort | RealWorldValueLastValueMapped
| RealWorldValueLastValueMapped (0040,9211) vr=US/SS, vm=1, type=1C.
DcmFloatingPointDouble | RealWorldValueSlope
| RealWorldValueSlope (0040,9225) vr=FD, vm=1, type=1C.

## Additional Inherited Members

Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## Item() [1/2]

DRTRealWorldValueMappingSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## Item() [2/2]

DRTRealWorldValueMappingSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## getDoubleFloatRealWorldValueFirstValueMapped()

OFCondition DRTRealWorldValueMappingSequence::Item::getDoubleFloatRealWorldValueFirstValueMapped | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get DoubleFloatRealWorldValueFirstValueMapped (0040,9214)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getDoubleFloatRealWorldValueLastValueMapped()

OFCondition DRTRealWorldValueMappingSequence::Item::getDoubleFloatRealWorldValueLastValueMapped | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get DoubleFloatRealWorldValueLastValueMapped (0040,9213)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getLUTExplanation()

OFCondition DRTRealWorldValueMappingSequence::Item::getLUTExplanation | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get LUTExplanation (0028,3003)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getLUTLabel()

OFCondition DRTRealWorldValueMappingSequence::Item::getLUTLabel | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get LUTLabel (0040,9210)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getMeasurementUnitsCodeSequence() [1/2]

DRTMeasurementUnitsCodeSequence & DRTRealWorldValueMappingSequence::Item::getMeasurementUnitsCodeSequence | ( |  | ) |

inline

get MeasurementUnitsCodeSequence (0040,08ea)

Returns
  reference to sequence element

References MeasurementUnitsCodeSequence.

## getMeasurementUnitsCodeSequence() [2/2]

const DRTMeasurementUnitsCodeSequence & DRTRealWorldValueMappingSequence::Item::getMeasurementUnitsCodeSequence | ( |  | ) | const

inline

get MeasurementUnitsCodeSequence (0040,08ea)

Returns
  const reference to sequence element

References MeasurementUnitsCodeSequence.

## getQuantityDefinitionSequence() [1/2]

DRTQuantityDefinitionSequence & DRTRealWorldValueMappingSequence::Item::getQuantityDefinitionSequence | ( |  | ) |

inline

get QuantityDefinitionSequence (0040,9220)

Returns
  reference to sequence element

References QuantityDefinitionSequence.

## getQuantityDefinitionSequence() [2/2]

const DRTQuantityDefinitionSequence & DRTRealWorldValueMappingSequence::Item::getQuantityDefinitionSequence | ( |  | ) | const

inline

get QuantityDefinitionSequence (0040,9220)

Returns
  const reference to sequence element

References QuantityDefinitionSequence.

## getRealWorldValueFirstValueMapped()

OFCondition DRTRealWorldValueMappingSequence::Item::getRealWorldValueFirstValueMapped | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const

get RealWorldValueFirstValueMapped (0040,9216)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getRealWorldValueIntercept()

OFCondition DRTRealWorldValueMappingSequence::Item::getRealWorldValueIntercept | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get RealWorldValueIntercept (0040,9224)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getRealWorldValueLastValueMapped()

OFCondition DRTRealWorldValueMappingSequence::Item::getRealWorldValueLastValueMapped | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const

get RealWorldValueLastValueMapped (0040,9211)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getRealWorldValueLUTData()

OFCondition DRTRealWorldValueMappingSequence::Item::getRealWorldValueLUTData | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get RealWorldValueLUTData (0040,9212)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getRealWorldValueSlope()

OFCondition DRTRealWorldValueMappingSequence::Item::getRealWorldValueSlope | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get RealWorldValueSlope (0040,9225)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## isEmpty()

OFBool DRTRealWorldValueMappingSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## isValid()

OFBool DRTRealWorldValueMappingSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## operator=()

Item & DRTRealWorldValueMappingSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## read()

OFCondition DRTRealWorldValueMappingSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## setDoubleFloatRealWorldValueFirstValueMapped()

OFCondition DRTRealWorldValueMappingSequence::Item::setDoubleFloatRealWorldValueFirstValueMapped | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set DoubleFloatRealWorldValueFirstValueMapped (0040,9214)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setDoubleFloatRealWorldValueLastValueMapped()

OFCondition DRTRealWorldValueMappingSequence::Item::setDoubleFloatRealWorldValueLastValueMapped | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set DoubleFloatRealWorldValueLastValueMapped (0040,9213)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setLUTExplanation()

OFCondition DRTRealWorldValueMappingSequence::Item::setLUTExplanation | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set LUTExplanation (0028,3003)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setLUTLabel()

OFCondition DRTRealWorldValueMappingSequence::Item::setLUTLabel | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set LUTLabel (0040,9210)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setRealWorldValueFirstValueMapped()

OFCondition DRTRealWorldValueMappingSequence::Item::setRealWorldValueFirstValueMapped | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )

set RealWorldValueFirstValueMapped (0040,9216)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setRealWorldValueIntercept()

OFCondition DRTRealWorldValueMappingSequence::Item::setRealWorldValueIntercept | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set RealWorldValueIntercept (0040,9224)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setRealWorldValueLastValueMapped()

OFCondition DRTRealWorldValueMappingSequence::Item::setRealWorldValueLastValueMapped | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )

set RealWorldValueLastValueMapped (0040,9211)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setRealWorldValueLUTData()

OFCondition DRTRealWorldValueMappingSequence::Item::setRealWorldValueLUTData | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set RealWorldValueLUTData (0040,9212)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1-n

Returns
  status, EC_Normal if successful, an error code otherwise

## setRealWorldValueSlope()

OFCondition DRTRealWorldValueMappingSequence::Item::setRealWorldValueSlope | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set RealWorldValueSlope (0040,9225)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## write()

OFCondition DRTRealWorldValueMappingSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtrwvms.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0